# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Acme-Rot180.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use Test::More tests => 5;
BEGIN { use_ok('Acme::Rot180', qw(upside_down ud_linelength)) };

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.
is(upside_down("This is a test"),
   "\x{0287}s\x{01DD}\x{0287} \x{0250} s\x{1D09} s\x{1D09}\x{0265}\x{22A5}\n",
   "Single-line upside-down");

is(upside_down("Test of a multi-line\nblock"),
   "               \x{029E}\x{0254}o\x{01AE}q\n\x{01DD}u\x{1D09}\x{01AE}-\x{1D09}\x{0287}\x{01AE}n\x{026F} \x{0250} \x{025F}o \x{0287}s\x{01DD}\x{22A5}\n",
   "Multi-line block");

is(ud_linelength(10), 10, "Setting linelength");
is(upside_down("right\naligned"),
   "   p\x{01DD}u\x{0253}\x{1D09}\x{01AE}\x{0250}\n     \x{0287}\x{0265}\x{0253}\x{1D09}\x{0279}\n",
   "right-aligned");

